# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

DESCRIPTION="A utility for enhancing the resolution of the linux console"
HOMEPAGE="http://freshmeat.net/projects/svgatextmode/"
SRC_URI="http://www.ibiblio.org/pub/Linux/utils/console/${P}-src.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"
IUSE=""
DEPEND=""
#RDEPEND=""
S=${WORKDIR}/${P}

src_unpack() {

        unpack ${P}-src.tar.gz

		cd ${WORKDIR}/${P}
		# Fix bug with gcc>=3.2
				epatch ${FILESDIR}/${PN}-cfgfile.y.patch
        # Add GeForce support
				epatch ${FILESDIR}/${PN}-GeForce.patch
		# Add Gentoo-specific changes
				#epatch ${FILESDIR}/${PN}-gentoo.patch
        # Add Voodoo support
				epatch ${FILESDIR}/${PN}-voodoo.patch
        # misc patches
				epatch ${FILESDIR}/${PN}-stmmenu.patch
				epatch ${FILESDIR}/${PN}-Makefile-gcc.patch
				epatch ${FILESDIR}/${PN}-conf.patch
				epatch ${FILESDIR}/${PN}-set80.patch
				epatch ${FILESDIR}/${PN}-cache.patch
        # Patch Makefile for portage compatibility
				epatch ${FILESDIR}/${PN}-make.patch
        # Add Alpha support
				epatch ${FILESDIR}/${PN}-alpha.patch
}

src_compile() {
	emake all || die
}

src_install() {
	make DESTDIR=${D} newinstall || die
	
	exeinto /etc/init.d
	newexe ${FILESDIR}/${PN}-init ${PN} 

	make DESTDIR=${D} mangz-install || die

	dodoc README README.FIRST 
	docinto doc
		dodoc doc/*
}

pkg_postinst() {
	echo
	eerror "ATTENTION: Your kernel should NOT include support for the framebuffer"
	eerror "device if you want to run SVGATextMode."
	eerror "You can definitely break your hardware (monitor, gpu) by misconfiguring."
	echo
	einfo "NOTE: If you are installing this for the first time, you need to setup"
	einfo "the configuration file /etc/TextConfig. Read the documentation"
	einfo "(normally /usr/share/doc/SVGATextMode...), experiment with the settings"
	einfo "in /etc/TextConfig and test your settings."
	einfo
	einfo "When you're done, you can do an 'rc-update add SVGATextMode boot' as root"
	einfo "in order to start SVGATextMode at bootup time. Then set your preferred"
	einfo "mode as default in the config file."
	echo
}